
From: Robert Love <rml@novell.com>

Add inotify system call stubs to PPC32.

Signed-off-by: Robert Love <rml@novell.com>
Cc: Paul Mackerras <paulus@samba.org>
Cc: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/kernel/misc.S   |    3 +++
 include/asm-ppc/unistd.h |    5 ++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff -puN arch/ppc/kernel/misc.S~ppc32-inotify-syscalls arch/ppc/kernel/misc.S
--- devel/arch/ppc/kernel/misc.S~ppc32-inotify-syscalls	2005-07-27 13:07:45.000000000 -0700
+++ devel-akpm/arch/ppc/kernel/misc.S	2005-07-27 13:07:45.000000000 -0700
@@ -1451,3 +1451,6 @@ _GLOBAL(sys_call_table)
 	.long sys_waitid
 	.long sys_ioprio_set
 	.long sys_ioprio_get
+	.long sys_inotify_init		/* 275 */
+	.long sys_inotify_add_watch
+	.long sys_inotify_rm_watch
diff -puN include/asm-ppc/unistd.h~ppc32-inotify-syscalls include/asm-ppc/unistd.h
--- devel/include/asm-ppc/unistd.h~ppc32-inotify-syscalls	2005-07-27 13:07:45.000000000 -0700
+++ devel-akpm/include/asm-ppc/unistd.h	2005-07-27 13:07:45.000000000 -0700
@@ -279,8 +279,11 @@
 #define __NR_waitid		272
 #define __NR_ioprio_set		273
 #define __NR_ioprio_get		274
+#define __NR_inotify_init	275
+#define __NR_inotify_add_watch	276
+#define __NR_inotify_rm_watch	277
 
-#define __NR_syscalls		275
+#define __NR_syscalls		278
 
 #define __NR(n)	#n
 
_
